Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.expr
Class Order

    java.lang.Object
      org.basex.query.xquery.expr.Order

    public final class Order

extends java.lang.Object

Order by expression.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Constructor Summary
`Order(Ord[] e)` Constructor.

Method Summary
`void` | `add(XQContext ctx)` Adds the items to be sorted.
`void` | `comp(XQContext ctx)` Compiles the expressions to be sorted.
`Iter` | `iter(SeqIter sq)` Returns an array with the item order.
`void` | `plan(Serializer ser)` Serializes the abstract syntax tree.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Order

    public Order(Ord[] e)

  Constructor.

  Parameters:
    `e` - expressions

Method Detail

### comp

    public void comp(XQContext ctx)
              throws XQException

  Compiles the expressions to be sorted.

  Parameters:
    `ctx` - query context
  Throws:
    `XQException` - evaluation exception

### add

    public void add(XQContext ctx)
             throws XQException

  Adds the items to be sorted.

  Parameters:
    `ctx` - query context
  Throws:
    `XQException` - evaluation exception

### iter

    public Iter iter(SeqIter sq)

  Returns an array with the item order.

  Parameters:
    `sq` - temporary sequence
  Returns:
    resulting, ordered item

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### plan

    public void plan(Serializer ser)
              throws java.io.IOException

  Serializes the abstract syntax tree.

  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD